=== debian/control ===
Source: ros-melodic-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-xacro
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-melodic-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-controller-interface, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-tf, ros-melodic-urdf
Description: Controller for a differential drive mobile base.
