## ros-melodic-diff-drive-controller 0.17.3

=== debian/changelog ===
ros-melodic-diff-drive-controller (0.17.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-diff-drive-controller (0.17.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-diff-drive-controller (0.17.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-diff-drive-controller (0.17.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-diff-drive-controller (0.16.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-diff-drive-controller (0.16.0-1bionic) bionic; urgency=high

  * Fix warning dynamic_reconfigure
  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * switch implementation of read and write methods of Diffbot class
  * Refactor nan test
    EXPECT_NE(x, bool) -> EXPECT_TRUE/FALSE(x)
    EXPECT_EQ(x, double) -> EXPECT_DOUBLE_EQ(x, double)
    + clang default reformat
  * Check for nan cmd_vel
  * Contributors: Anas Abou Allaban, Bence Magyar, Franz, Matt Reynolds, Raffaello Bonghi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-diff-drive-controller (0.15.1-1bionic) bionic; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Update null link pointer error message
  * Revert cmake include catkin_INCLUDE_DIRS as system
  * Use C++11 std::this_thread::sleep_for.
  * Contributors: Bence Magyar, Enrique Fernandez Perdomo, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-diff-drive-controller (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Using left/right multiplies for desired vel
  * diff-drive publish joint trajectory controller state
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu, Jeremie Deray, Jordan Palacios

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-diff-drive-controller (0.14.3-1bionic) bionic; urgency=high

  * use operators instead of aliases
  * Fix typo descripion -> description
  * Contributors: Daniel Ingram, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-diff-drive-controller (0.14.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-diff-drive-controller (0.14.1-1bionic) bionic; urgency=high

  * Added 'multiplier' in DynamicParams ostream and changed boolean printing to 'enabled/disabled'
  * isPublishngCmdVelOut to check getNumPublisheres until timeout
  * Contributors: Kei Okada, Martin Ganeff

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-diff-drive-controller (0.14.0-1bionic) bionic; urgency=high

  * add dynamic_reconf to diff_drive_controller
  * migrate to new pluginlib headers
  * per wheel radius multiplier
  * fix xacro macro warning
  * [DiffDrive] Fix time-sensitive tests of diff_drive_controller
  * separate include_directories as SYSTEM to avoid unrelated compilation warnings
  * Contributors: Jeremie Deray, Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-diff-drive-controller (0.13.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-diff-drive-controller (0.13.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-diff-drive-controller (0.13.0-1bionic) bionic; urgency=high

  * Add test for allow_multiple_cmd_vel_publishers param
  * add check for multiple publishers on cmd_vel
  * Added tests for the odom_frame_id parameter.
  * Parameterized diff_drive_controller's odom_frame_id
  * Publish executed velocity if publish_cmd
  * refactor to remove code duplication
  * fixup pointer type for new convention
  * Allow diff_drive_controller to use spheres as well as cylinders for wheel collision geometry. Cylinders are not well behaved on Gazebo/ODE heightfields, using spheres works around the issue.
  * Contributors: Bence Magyar, Eric Tappan, Jeremie Deray, Karsten Knese, Tully Foote, mallanmba, tappan-at-git

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-diff-drive-controller (0.12.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-diff-drive-controller (0.12.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-diff-drive-controller (0.12.1-1bionic) bionic; urgency=high

  * Add exporting include dirs
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-diff-drive-controller (0.12.0-1bionic) bionic; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Add urdf compatibility header
  * Add --inorder to xacro calls
  * Add missing xacro tags
  * Use xacro instead of xacro.py
  * Disable angular jerk limit test

